<template>
  <div id="coverage" class="coverage">
    <ul>
      <li
        style="margin-left: 10px; width: 130px"
        @click="checkCourvage(item)"
        v-for="item in itemsOne"
      >
        <div class="divli">
          <div :class="item.class" class="backimge"></div>
        </div>
        <div class="div_li">{{ $t(item.name) }}</div>
      </li>
    </ul>
  </div>
</template>

<script>
export default {
  data() {
    return {
      itemsOne: [
        {
          id: '1',
          name: 'synthesis.layer',
          class: 'a1',
        },
        // {
        //   id: "2",
        //   name: "场景打开",
        //   class: "a2",
        // },
        {
          id: '3',
          name: 'synthesis.release',
          class: 'a3',
        },
        {
          id: '2',
          name: 'synthesis.export',
          class: 'a4',
        },
      ],
    };
  },
  created() {
    var cover_Id = this.$store.state.syntiesis.menu;
    var cover_perms = this.$store.state.permsEntity;

    for (var i = 0; i < cover_perms.length; i++) {
      if (cover_perms[i].pid == cover_Id) {
        this.showCoverMenu(cover_perms[i]);
      }
    }
  },
  methods: {
    showCoverMenu(res) {
      if (res.cnName != '图层') return;
      console.log('图层', res.tag);
    },
    checkCourvage(res) {
      switch (res.id) {
        case '1': //图层管理
          // 打开工程树弹窗

          break;
      }
    },
  },
};
</script>

<style>
.coverage {
  width: 100%;
  height: 100%;
  position: relative;
}
.coverage li {
  list-style: none;
  float: left;
  height: 60px;
  text-align: center;
  margin: 2px;
  position: relative;
  cursor: pointer;
  margin-top: 5px;
}
.coverage ul {
  margin: 0px;
}
.a1 {
  background: url('../../assets/img/synthesis/图层 32.png') no-repeat center;
}
.a2 {
  background: url('../../assets/img/synthesis/场景打开.png') no-repeat center;
}
.a3 {
  background: url('../../assets/img/synthesis/场景发布.png') no-repeat center;
}
.a4 {
  background: url('../../assets/img/synthesis/图层 35.png') no-repeat center;
}
.backimge {
  width: 30px;
  height: 30px;
  position: absolute;
  background-size: 100% 100%;
  margin: 0 38%;
}
.divli {
  width: 100%;
  height: 50%;
  position: relative;
}
</style>
